Page MenuHomePhabricator

Set UCA-IT as it.wiki's collation
Closed, ResolvedPublic

Description

Per https://it.wikipedia.org/wiki/Wikipedia:Bar/Discussioni/Ordine_alfabetico_di_default please set UCA-IT as it.wiki's. Dunno if numeric sorting is also included into UCA-IT or is a different option. If so please enable it.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet collation to uca-it for it.wikipedia

Event Timeline

Vituzzu created this task.May 31 2016, 9:17 PM
Restricted Application added subscribers: Zppix, JEumerus, Matanya, Aklapper. · View Herald TranscriptMay 31 2016, 9:17 PM

Could you clarify 'as soon as numeric collation is available'?

Vituzzu renamed this task from Set UCA-IT as default collation for it.wiki to Set UCA-IT as it.wiki's collation.May 31 2016, 10:26 PM
Vituzzu updated the task description. (Show Details)

Numeric collation

Currently, the default uppercase collation sort correctly numbers, as shown on https://it.wikipedia.org/wiki/Categoria:Programma_Apollo.

The uca-fr collation sorts correctly numbers too, as shown on https://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Mission_Apollo

The question is if uca-it will also sort them correctly, to avoid 1 10 11 12 13 2 3 4.

Numeric collation
Currently, the default uppercase collation sort correctly numbers, as shown on https://it.wikipedia.org/wiki/Categoria:Programma_Apollo.
The uca-fr collation sorts correctly numbers too, as shown on https://fr.wikipedia.org/wiki/Cat%C3%A9gorie:Mission_Apollo
The question is if uca-it will also sort them correctly, to avoid 1 10 11 12 13 2 3 4.

As you found out it seems numeric sorting is made by mediawiki, not by uca

@Dereckson @Vituzzu: The only reason it's sorting correctly currently is due to manual hacks on each article. For example, at https://it.wikipedia.org/wiki/Apollo_9:
[[Categoria:Programma Apollo|Apollo 09]]
Once Italian Wikipedia is using uca-it, we'll be able to turn on numerical sorting for it, so that the hacks won't be needed any more.

@Dereckson @Vituzzu: The only reason it's sorting correctly currently is due to manual hacks on each article. For example, at https://it.wikipedia.org/wiki/Apollo_9:
[[Categoria:Programma Apollo|Apollo 09]]
Once Italian Wikipedia is using uca-it, we'll be able to turn on numerical sorting for it, so that the hacks won't be needed any more.

Most of has no sorting keys actually, anyway by turning on UCA's numeric sorting we will have the same result with less efforts.

Change 292050 had a related patch set uploaded (by Dereckson):
Set collation to uca-it for it.wikipedia

https://gerrit.wikimedia.org/r/292050

Change 292050 merged by jenkins-bot:
Set collation to uca-it for it.wikipedia

https://gerrit.wikimedia.org/r/292050

Mentioned in SAL [2016-05-31T23:57:27Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set collation to uca-it for it.wikipedia (T136647) (duration: 00m 25s)

Mentioned in SAL [2016-06-01T00:04:12Z] <Dereckson> Started mwscript updateCollation.php itwiki --previous-collation=uppercase on Terbium (T136647)

Dereckson triaged this task as Medium priority.
Elitre added a subscriber: Elitre.Jun 1 2016, 7:03 AM
Dereckson closed this task as Resolved.Jun 1 2016, 10:48 AM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Collation has been successfully updated.

Terbium
$ mwscript updateCollation.php itwiki --previous-collation=uppercase
...
10599758 rows processed